Subject: [nfsv4] Fwd: New Version Notification for draft-ietf-nfsv4-layout-types-12.txt

From: Tom Haynes <[email-masked]>
Date: Thu, 19 Apr 2018 11:05:24 -0700

This has the changes per the IESG review process.

> Begin forwarded message:
> 
> From: [email-masked]
> Subject: New Version Notification for draft-ietf-nfsv4-layout-types-12.txt
> Date: April 19, 2018 at 11:04:32 AM PDT
> To: "Thomas Haynes" <[email-masked]>
> 
> 
> A new version of I-D, draft-ietf-nfsv4-layout-types-12.txt
> has been successfully submitted by Thomas Haynes and posted to the
> IETF repository.
> 
> Name:		draft-ietf-nfsv4-layout-types
> Revision:	12
> Title:		Requirements for pNFS Layout Types
> Document date:	2018-04-19
> Group:		nfsv4
> Pages:		16
> URL:            https://www.ietf.org/internet-drafts/draft-ietf-nfsv4-layout-types-12.txt
> Status:         https://datatracker.ietf.org/doc/draft-ietf-nfsv4-layout-types/
> Htmlized:       https://tools.ietf.org/html/draft-ietf-nfsv4-layout-types-12
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-ietf-nfsv4-layout-types
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-nfsv4-layout-types-12
> 
> Abstract:
>   This document defines the requirements which individual pNFS layout
>   types need to meet in order to work within the parallel NFS (pNFS)
>   framework as defined in RFC5661.  In so doing, it aims to clearly
>   distinguish between requirements for pNFS as a whole and those
>   specifically directed to the pNFS File Layout.  The lack of a clear
>   separation between the two set of requirements has been troublesome
>   for those specifying and evaluating new Layout Types.  In this
>   regard, this document updates RFC5661.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
>

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Thu, 19 Apr 2018 14:32:37 -0500

Hi, Tom,

> This has the changes per the IESG review process.

This is looking good. I have one last question - did you see Mirja's
question about possible use of RFC 8174 boilerplate, since the draft uses
both uppercase and lowercase RFC 2119 language (and that's what RFC 8174 is
supposed to help with)?

Mirja's review ended up in the mailing list archive at
https://www.ietf.org/mail-archive/web/nfsv4/current/msg16137.html.

Thanks,

Spencer (D)

> Begin forwarded message:
>
> *From: [email-masked]
> *Subject: **New Version Notification for
> draft-ietf-nfsv4-layout-types-12.txt*
> *Date: *April 19, 2018 at 11:04:32 AM PDT
> *To: *"Thomas Haynes" <[email-masked]>
>
>
> _______________________________________________
> nfsv4 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/nfsv4
>
>

---

From: Tom Haynes <[email-masked]>
Date: Thu, 19 Apr 2018 13:05:41 -0700

Hi Spencer,

I’ll review this one (and also do the same for FlexFiles).

Thanks,
Tom

> On Apr 19, 2018, at 12:32 PM, Spencer Dawkins at IETF <[email-masked]> wrote:
> 
> Hi, Tom,
> 
> On Thu, Apr 19, 2018 at 1:05 PM, Tom Haynes <[email-masked] <mailto:[email-masked]>> wrote:
> This is looking good. I have one last question - did you see Mirja's question about possible use of RFC 8174 boilerplate, since the draft uses both uppercase and lowercase RFC 2119 language (and that's what RFC 8174 is supposed to help with)?
> 
> Mirja's review ended up in the mailing list archive at https://www.ietf.org/mail-archive/web/nfsv4/current/msg16137.html <https://www.ietf.org/mail-archive/web/nfsv4/current/msg16137.html>.
> 
> Thanks,
> 
> Spencer (D)
>  
>> Begin forwarded message:
>> 
>> From: [email-masked] <mailto:[email-masked]>
>> To: "Thomas Haynes" <[email-masked] <mailto:[email-masked]>>
>> 
>> 
>> URL:            https://www.ietf.org/internet-drafts/draft-ietf-nfsv4-layout-types-12.txt <https://www.ietf.org/internet-drafts/draft-ietf-nfsv4-layout-types-12.txt>
>> Status:         https://datatracker.ietf.org/doc/draft-ietf-nfsv4-layout-types/ <https://datatracker.ietf.org/doc/draft-ietf-nfsv4-layout-types/>
>> Htmlized:       https://tools.ietf.org/html/draft-ietf-nfsv4-layout-types-12 <https://tools.ietf.org/html/draft-ietf-nfsv4-layout-types-12>
>> Htmlized:       https://datatracker.ietf.org/doc/html/draft-ietf-nfsv4-layout-types <https://datatracker.ietf.org/doc/html/draft-ietf-nfsv4-layout-types>
>> Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-nfsv4-layout-types-12 <https://www.ietf.org/rfcdiff?url2=draft-ietf-nfsv4-layout-types-12>
>> 
>> Abstract:
>> until the htmlized version and diff are available at tools.ietf.org <http://tools.ietf.org/>.
>> 
>> The IETF Secretariat
>> 
> 
> 
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/nfsv4 <https://www.ietf.org/mailman/listinfo/nfsv4>
> 
>

---

From: Tom Haynes <[email-masked]>
Date: Wed, 25 Apr 2018 11:28:44 -0700

Both are updated.

> On Apr 19, 2018, at 1:05 PM, Tom Haynes <[email-masked]> wrote:
> 
> Hi Spencer,
> 
>> On Apr 19, 2018, at 12:32 PM, Spencer Dawkins at IETF <[email-masked] <mailto:[email-masked]>> wrote:
>> 
>> Hi, Tom,
>>